Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.ssl
Class SSLSocketException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.net.SocketException
                              |
                              +--org.mozilla.jss.ssl.SSLSocketException

All Implemented Interfaces:
  java.io.Serializable

public class SSLSocketException
extends java.net.SocketException

A subclass of java.net.SocketException that contains an error code from the native (NSS/NSPR) code. These error codes are defined in the class `org.mozilla.jss.util.NativeErrcodes`.

See Also:
  `NativeErrcodes`, Serialized Form

Field Summary
`private int` | `errcode`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SSLSocketException()`
`SSLSocketException(java.lang.String msg)`
`SSLSocketException(java.lang.String msg, int errcode)`

Method Summary
`int` | `getErrcode()` Returns an error code, as defined in class `org.mozilla.jss.util.NativeErrcodes`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errcode

    private int errcode

Constructor Detail

### SSLSocketException

    public SSLSocketException()

### SSLSocketException

    public SSLSocketException(java.lang.String msg)

### SSLSocketException

    public SSLSocketException(java.lang.String msg,
                              int errcode)

Method Detail

### getErrcode

    public int getErrcode()

  Returns an error code, as defined in class `org.mozilla.jss.util.NativeErrcodes`.

  See Also:
    `NativeErrcodes`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD